## ocfs2-tools 1.6.4

=== Makefile ===
TOPDIR = .
 
include $(TOPDIR)/Preamble.make

RPM_TOPDIR = $(CURDIR)

RPMBUILD = $(shell /usr/bin/which rpmbuild 2>/dev/null || /usr/bin/which rpm 2>/dev/null || echo /bin/false)

SUSEBUILD = $(shell if test -r /etc/SuSE-release; then echo yes; else echo no; fi)

PYVERSION = $(shell echo $(pyexecdir) | sed -e 's/.*python\([0-9]\.[0-9]\).*/\1/')

ifeq ($(SUSEBUILD),yes)
PYGTK_NAME = python-gtk
CHKCONFIG_DEP = aaa_base
COMPILE_PY = 0
else
PYGTK_NAME = pygtk2
CHKCONFIG_DEP = chkconfig
COMPILE_PY = 1
endif

SUBDIRS = include libtools-internal libo2dlm libo2cb libocfs2 fsck.ocfs2 mkfs.ocfs2 mounted.ocfs2 tunefs.ocfs2 debugfs.ocfs2 o2cb_ctl ocfs2_hb_ctl mount.ocfs2 ocfs2_controld o2image o2info o2monitor listuuid sizetest extras fswreck patches

ifdef BUILD_OCFS2CONSOLE
SUBDIRS += ocfs2console
endif

SUBDIRS += vendor

PKGCONFIG_SOURCES =	\
	o2cb.pc.in	\
	o2dlm.pc.in	\
	ocfs2.pc.in
PKGCONFIG_FILES = $(patsubst %.pc.in,%.pc,$(PKGCONFIG_SOURCES))

DEBIAN_FILES =					\
	debian/README.Debian			\
	debian/changelog			\
	debian/compat				\
	debian/control				\
	debian/copyright			\
	debian/ocfs2-tools.config		\
	debian/ocfs2-tools.docs			\
	debian/ocfs2-tools.install		\
	debian/ocfs2-tools.manpages		\
	debian/ocfs2-tools.postinst		\
	debian/ocfs2-tools.postrm		\
	debian/ocfs2-tools.templates		\
	debian/ocfs2console.install		\
	debian/ocfs2console.manpages		\
	debian/ocfs2-tools-static-dev.install	\
	debian/rules

DIST_FILES = \
	COPYING					\
	CREDITS					\
	MAINTAINERS				\
	README					\
	README.O2CB				\
	Config.make.in				\
	Preamble.make				\
	Postamble.make				\
	aclocal.m4				\
	blkid.m4				\
	glib-2.0.m4				\
	mbvendor.m4				\
	python.m4				\
	pythondev.m4				\
	runlog.m4				\
	config.guess				\
	config.sub				\
	configure				\
	configure.in				\
	install-sh				\
	mkinstalldirs				\
	rpmarch.guess				\
	svnrev.guess				\
	Vendor.make				\
	vendor.guess				\
	documentation/ocfs2_faq.txt		\
	documentation/users_guide.txt		\
	documentation/samples/cluster.conf	\
	$(PKGCONFIG_SOURCES)			\
	$(DEBIAN_FILES)

DIST_RULES = dist-subdircreate

.PHONY: dist dist-subdircreate dist-bye dist-fresh distclean

dist-subdircreate:
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/documentation/samples
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/debian

dist-bye:
	-rm -rf $(DIST_TOPDIR)

dist-fresh: dist-bye
	$(TOPDIR)/mkinstalldirs $(DIST_TOPDIR)

dist: dist-fresh dist-all
	GZIP=$(GZIP_OPTS) tar chozf $(DIST_TOPDIR).tar.gz $(DIST_TOPDIR)
	$(MAKE) dist-bye

distclean: clean
	rm -f Config.make config.status config.cache config.log $(PKGCONFIG_FILES)

INSTALL_RULES = install-pkgconfig

install-pkgconfig: $(PKGCONFIG_FILES)
	$(SHELL) $(TOPDIR)/mkinstalldirs $(DESTDIR)$(libdir)/pkgconfig
	for p in $(PKGCONFIG_FILES); do \
	  $(INSTALL_DATA) $$p $(DESTDIR)$(libdir)/pkgconfig/$$p; \
        done


include Vendor.make

def:
	@echo $(TOOLSARCH)

include $(TOPDIR)/Postamble.make

=== extras/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

UNINST_PROGRAMS = find_hardlinks find_dup_extents find_inode_paths set_random_bits decode_lockres encode_lockres mark_journal_dirty find_allocation_fragments compute_groups check_metaecc

INCLUDES = -I$(TOPDIR)/include

FIND_HARDLINKS_CFILES = find_hardlinks.c
FIND_DUP_EXTENTS_CFILES = find_dup_extents.c
FIND_INODE_PATHS_CFILES = find_inode_paths.c
SET_RANDOM_BITS_CFILES = set_random_bits.c
DECODE_LOCKRES_CFILES = decode_lockres.c
ENCODE_LOCKRES_CFILES = encode_lockres.c
MARK_JOURNAL_DIRTY_CFILES = mark_journal_dirty.c
FIND_ALLOC_FRAG_CFILES = find_allocation_fragments.c
COMPUTE_GROUPS_CFILES = compute_groups.c
CHECK_METAECC_CFILES = check_metaecc.c

DIST_FILES = $(FIND_HARDLINKS_CFILES) $(FIND_DUP_EXTENTS_CFILES) $(FIND_INODE_PATHS_CFILES) $(SET_RANDOM_BITS_CFILES) $(DECODE_LOCKRES_CFILES) $(ENCODE_LOCKRES_CFILES) $(MARK_JOURNAL_DIRTY_CFILES) $(FIND_ALLOC_FRAG_CFILES) $(COMPUTE_GROUPS_CFILES) $(CHECK_METAECC_CFILES)

FIND_HARDLINKS_OBJS = $(subst .c,.o,$(FIND_HARDLINKS_CFILES))
FIND_DUP_EXTENTS_OBJS = $(subst .c,.o,$(FIND_DUP_EXTENTS_CFILES))
FIND_INODE_PATHS_OBJS = $(subst .c,.o,$(FIND_INODE_PATHS_CFILES))
SET_RANDOM_BITS_OBJS  = $(subst .c,.o,$(SET_RANDOM_BITS_CFILES))
DECODE_LOCKRES_OBJS  = $(subst .c,.o,$(DECODE_LOCKRES_CFILES))
ENCODE_LOCKRES_OBJS  = $(subst .c,.o,$(ENCODE_LOCKRES_CFILES))
MARK_JOURNAL_DIRTY_OBJS = $(subst .c,.o,$(MARK_JOURNAL_DIRTY_CFILES))
FIND_ALLOC_FRAG_OBJS = $(subst .c,.o,$(FIND_ALLOC_FRAG_CFILES))
COMPUTE_GROUPS_OBJS = $(subst .c,.o,$(COMPUTE_GROUPS_CFILES))
CHECK_METAECC_OBJS = $(subst .c,.o,$(CHECK_METAECC_CFILES))

LIBOCFS2 = ../libocfs2/libocfs2.a
EXTRAS_LIBS = $(LIBOCFS2) $(COM_ERR_LIBS)

find_hardlinks: $(FIND_HARDLINKS_OBJS) $(LIBOCFS2)
	$(LINK) $(EXTRAS_LIBS)

find_dup_extents: $(FIND_DUP_EXTENTS_OBJS) $(LIBOCFS2)
	$(LINK) $(EXTRAS_LIBS)

find_inode_paths: $(FIND_INODE_PATHS_OBJS) $(LIBOCFS2)
	$(LINK) $(EXTRAS_LIBS)

set_random_bits: $(SET_RANDOM_BITS_OBJS) $(LIBOCFS2)
	$(LINK) $(EXTRAS_LIBS)

decode_lockres: $(DECODE_LOCKRES_OBJS) $(LIBOCFS2)
	$(LINK) $(EXTRAS_LIBS)

encode_lockres: $(ENCODE_LOCKRES_OBJS) $(LIBOCFS2)
	$(LINK) $(EXTRAS_LIBS)

mark_journal_dirty: $(MARK_JOURNAL_DIRTY_OBJS) $(LIBOCFS2)
	$(LINK) $(EXTRAS_LIBS)

find_allocation_fragments: $(FIND_ALLOC_FRAG_OBJS) $(LIBOCFS2)
	$(LINK) $(EXTRAS_LIBS)

compute_groups: $(COMPUTE_GROUPS_OBJS) $(LIBOCFS2)
	$(LINK) $(EXTRAS_LIBS)

check_metaecc: $(CHECK_METAECC_OBJS) $(LIBOCFS2)
	$(LINK) $(EXTRAS_LIBS)
include $(TOPDIR)/Postamble.make

=== fsck.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

sbindir = $(root_sbindir)
SBIN_PROGRAMS = fsck.ocfs2

DEFINES += -DVERSION=\"$(VERSION)\"

INCLUDES = -I$(TOPDIR)/include -Iinclude
LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a
LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

ifndef OCFS2_DYNAMIC_FSCK
LDFLAGS += -static
endif

CFILES =	fsck.c		\
		dirblocks.c 	\
		dirparents.c 	\
		extent.c 	\
		icount.c 	\
		journal.c 	\
		pass0.c 	\
		pass1.c 	\
		pass1b.c 	\
		pass2.c 	\
		pass3.c 	\
		pass4.c 	\
		pass5.c		\
		problem.c 	\
		refcount.c	\
		slot_recovery.c \
		strings.c 	\
		util.c		\
		xattr.c

HFILES = 	include/fsck.h		\
		include/xattr.h		\
		include/dirblocks.h	\
		include/dirparents.h	\
		include/extent.h	\
		include/icount.h	\
		include/journal.h	\
		include/pass0.h		\
		include/pass1.h		\
		include/pass1b.h	\
		include/pass2.h		\
		include/pass3.h		\
		include/pass4.h		\
		include/pass5.h		\
		include/problem.h	\
		include/refcount.h	\
		include/slot_recovery.h	\
		include/strings.h	\
		include/util.h


OBJS = $(subst .c,.o,$(CFILES))
MANS = fsck.ocfs2.8 fsck.ocfs2.checks.8

DIST_FILES = $(CFILES) $(HFILES) $(addsuffix .in,$(MANS))
DIST_RULES = dist-subdircreate

dist-subdircreate:
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/include

fsck.ocfs2: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS)

$(OBJS): prompt-codes.h

# make it hard to add a prompt call
# without documenting what it does
prompt-codes.h: fsck.ocfs2.checks.8.in
	@echo generating $@ by parsing $^
	@rm -f .$@.tmp
	@(	echo '#ifndef __PROMPT_CODES_H__';			\
		echo '#define __PROMPT_CODES_H__';			\
		for a in `grep '^.SS ".*"' $^ | awk -F\" '{print $$2}'`; do\
			echo '#define PR_'$$a' \';			\
			echo '	(struct prompt_code){ .str = "'$$a'" }';\
		done;							\
		echo '#endif';						\
	 ) > $@

.PHONY: check-prompt-dups
check-prompt-dups: fsck.ocfs2
	@rm -f .$@.tmp
	@nm $^ | \
		awk -F'[ .]' '/fsck_prompt_callers_with_code/ {print $$3}' | \
		sort | uniq -c | awk '($$1 > 1){print $$0}' > .$@.tmp
	@cat .$@.tmp
	@test ! -s .$@.tmp

CLEAN_RULES += o2fsck-clean
.PHONY: o2fsck-clean
o2fsck-clean:
	rm -f prompt-codes.h

include $(TOPDIR)/Postamble.make

=== fswreck/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

DEFINES = -DG_DISABLE_DEPRECATED -DLINUX
DEFINES += -DVERSION=\"$(VERSION)\"

INCLUDES = -I$(TOPDIR)/include -Iinclude
INCLUDES += $(GLIB_CFLAGS)

UNINST_PROGRAMS = fswreck

CFILES = main.c corrupt.c chain.c extent.c group.c inode.c local_alloc.c truncate_log.c special.c symlink.c dir.c journal.c quota.c refcount.c discontig_bg.c

HFILES = 			\
	include/chain.h		\
	include/dir.h		\
	include/fsck_type.h	\
	include/inode.h		\
	include/local_alloc.h	\
	include/special.h	\
	include/truncate_log.h	\
	include/corrupt.h	\
	include/extent.h	\
	include/group.h		\
	include/journal.h	\
	include/main.h		\
	include/symlink.h	\
	include/quota.h		\
	include/refcount.h	\
	include/discontig_bg.h

DIST_FILES = $(CFILES) $(HFILES)
DIST_RULES = dist-subdircreate

OBJS = $(subst .c,.o,$(CFILES))

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

dist-subdircreate:
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/include

fswreck: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(GLIB_LIBS) $(COM_ERR_LIBS)

include $(TOPDIR)/Postamble.make

=== libo2cb/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

WARNINGS = -Wall -Wstrict-prototypes -Wmissing-prototypes \
	-Wmissing-declarations

INCLUDES = -I$(TOPDIR)/include -I.

LIBRARIES = libo2cb.a

CFLAGS += -fPIC

ifneq ($(OCFS2_DEBUG_EXE),)
DEBUG_EXE_FILES = $(shell awk '/DEBUG_EXE/{if (k[FILENAME] == 0) {print FILENAME; k[FILENAME] = 1;}}' $(CFILES))
DEBUG_EXE_PROGRAMS = $(addprefix debug_,$(subst .c,,$(DEBUG_EXE_FILES)))

.SECONDARY:

UNINST_PROGRAMS += $(DEBUG_EXE_PROGRAMS)

debug_%.o : %.c 
	$(CC) $(CFLAGS) $(LOCAL_CFLAGS) $(CPPFLAGS) $(LOCAL_CPPFLAGS) \
		$(INCLUDES) $(DEFINES) \
		-DDEBUG_EXE -o $@ -c $<

debug_%: debug_%.o libo2cb.a
	$(LINK) $(COM_ERR_LIBS)

endif

CFILES = 		\
	o2cb_abi.c	\
	o2cb_crc32.c	\
	client_proto.c

HFILES =			\
	o2cb_abi.h		\
	o2cb_crc32.h

HFILES_GEN = o2cb_err.h

OBJS = $(subst .c,.o,$(CFILES)) \
	o2cb_err.o

ifneq ($(BUILD_CMAN_SUPPORT),)
DEFINES += -DHAVE_CMAN
endif

$(OBJS): $(HFILES_GEN)

o2cb_err.c o2cb_err.h: o2cb_err.et
	compile_et o2cb_err.et

libo2cb.a: $(OBJS)
	rm -f $@
	$(AR) r $@ $^
	$(RANLIB) $@

MANS = o2cb.7

DIST_FILES = $(CFILES) $(HFILES) o2cb_err.et o2cb.7.in

CLEAN_RULES = clean-err

clean-err:
	rm -f o2cb_err.c o2cb_err.h

include $(TOPDIR)/Postamble.make

=== libocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

INCLUDES = -I$(TOPDIR)/include

LIBRARIES = libocfs2.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

CFLAGS += -fPIC

ifneq ($(OCFS2_DEBUG_EXE),)
DEBUG_EXE_FILES = $(shell awk '/DEBUG_EXE/{if (k[FILENAME] == 0) {print FILENAME; k[FILENAME] = 1;}}' $(CFILES))
DEBUG_EXE_PROGRAMS = $(addprefix debug_,$(subst .c,,$(DEBUG_EXE_FILES)))

.SECONDARY:

UNINST_PROGRAMS += $(DEBUG_EXE_PROGRAMS)

debug_%.o : %.c 
	$(CC) $(CFLAGS) $(LOCAL_CFLAGS) $(CPPFLAGS) $(LOCAL_CPPFLAGS) \
		$(INCLUDES) $(DEFINES) \
		-DDEBUG_EXE -o $@ -c $<

debug_%: debug_%.o libocfs2.a $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(COM_ERR_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS)

endif

CFILES = 		\
	alloc.c		\
	bitmap.c	\
	bitops.c	\
	blockcheck.c	\
	cached_inode.c	\
	chain.c		\
	chainalloc.c	\
	checkhb.c	\
	closefs.c	\
	dirblock.c	\
	dir_iterate.c	\
	dir_scan.c	\
	dlm.c		\
	fileio.c	\
	freefs.c	\
	expanddir.c	\
	extend_file.c	\
	extents.c	\
	extent_map.c	\
	getsectsize.c	\
	getsize.c	\
	heartbeat.c	\
	inode.c		\
	inode_scan.c	\
	ismounted.c	\
	kernel-rbtree.c	\
	link.c		\
	lookup.c	\
	memory.c	\
	mkjournal.c	\
	namei.c		\
	openfs.c	\
	slot_map.c	\
	sysfile.c	\
	truncate.c	\
	unix_io.c	\
	unlink.c	\
	lockid.c	\
	backup_super.c	\
	feature_string.c\
	quota.c		\
	image.c		\
	xattr.c		\
	extent_tree.c	\
	refcount.c	\
	dir_indexed.c

HFILES =		\
	bitmap.h	\
	crc32table.h	\
	dir_iterate.h	\
	dir_util.h	\
	extent_map.h	\
	extent_tree.h	\
	refcount.h

HFILES_GEN = ocfs2_err.h

OBJS = $(subst .c,.o,$(CFILES)) \
	ocfs2_err.o

$(OBJS): $(HFILES_GEN)

ocfs2_err.c ocfs2_err.h: ocfs2_err.et
	compile_et ocfs2_err.et

libocfs2.a: $(OBJS)
	rm -f $@
	$(AR) r $@ $^
	$(RANLIB) $@

DIST_FILES = $(CFILES) $(HFILES) ocfs2_err.et

CLEAN_RULES = clean-err

clean-err:
	rm -f ocfs2_err.c ocfs2_err.h

include $(TOPDIR)/Postamble.make

=== libtools-internal/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

INCLUDES = -I. -I$(TOPDIR)/include

UNINST_LIBRARIES = libtools-internal.a

CFLAGS += -fPIC

DEFINES += -DVERSION=\"$(VERSION)\"

ifneq ($(OCFS2_DEBUG_EXE),)
DEBUG_EXE_FILES = $(shell awk '/DEBUG_EXE/{if (k[FILENAME] == 0) {print FILENAME; k[FILENAME] = 1;}}' $(CFILES))
DEBUG_EXE_PROGRAMS = $(addprefix debug_,$(subst .c,,$(DEBUG_EXE_FILES)))

.SECONDARY:

UNINST_PROGRAMS += $(DEBUG_EXE_PROGRAMS)

debug_%.o : %.c 
	$(CC) $(CFLAGS) $(LOCAL_CFLAGS) $(CPPFLAGS) $(LOCAL_CPPFLAGS) \
		$(INCLUDES) $(DEFINES) \
		-DDEBUG_EXE -o $@ -c $<

debug_%: debug_%.o
	$(LINK) $(COM_ERR_LIBS)

endif

CFILES = verbose.c progress.c
HFILES = libtools-internal.h

OBJS = $(subst .c,.o,$(CFILES))

$(OBJS): $(HFILES) $(HFILES_GEN)

libtools-internal.a: $(OBJS)
	rm -f $@
	$(AR) r $@ $^
	$(RANLIB) $@

DIST_FILES = $(CFILES) $(HFILES)

include $(TOPDIR)/Postamble.make

=== listuuid/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

INCLUDES = -I$(TOPDIR)/include

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

UNINST_PROGRAMS = listuuid

CFILES =	listuuid.c

OBJS = $(subst .c,.o,$(CFILES))

DIST_FILES = $(CFILES) 

listuuid: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(COM_ERR_LIBS) $(UUID_LIBS)

include $(TOPDIR)/Postamble.make

=== mkfs.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

sbindir = $(root_sbindir)
SBIN_PROGRAMS = mkfs.ocfs2

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

INCLUDES = -I$(TOPDIR)/include -I.
DEFINES = -DVERSION=\"$(VERSION)\"

CFILES = mkfs.c check.c
HFILES = mkfs.h

OBJS = $(subst .c,.o,$(CFILES))

MANS = mkfs.ocfs2.8

DIST_FILES = $(CFILES) $(HFILES) mkfs.ocfs2.8.in

mkfs.ocfs2: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS) $(UUID_LIBS)

include $(TOPDIR)/Postamble.make

=== mount.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

sbindir = $(root_sbindir)
SBIN_PROGRAMS = mount.ocfs2

INCLUDES = -I$(TOPDIR)/include
LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a
LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

DEFINES = -DVERSION=\"$(VERSION)\"

CORE_CFILES = fstab.c mntent.c realpath.c sundries.c xmalloc.c opts.c
MOUNT_CFILES = mount.ocfs2.c

HFILES = $(subst .c,.h,$(MOUNT_CFILES) $(CORE_CFILES))
HFILES += mount_constants.h nls.h paths.h

MOUNT_OBJS = $(subst .c,.o,$(MOUNT_CFILES) $(CORE_CFILES))
MANS = mount.ocfs2.8

DIST_FILES = $(CORE_CFILES) $(MOUNT_CFILES)	\
	     $(HFILES) $(addsuffix .in,$(MANS))

mount.ocfs2: $(MOUNT_OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS)

include $(TOPDIR)/Postamble.make

=== mounted.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

sbindir = $(root_sbindir)
SBIN_PROGRAMS = mounted.ocfs2

INCLUDES = -I$(TOPDIR)/include

CFILES = mounted.c
OBJS = $(subst .c,.o,$(CFILES))

MANS = mounted.ocfs2.8

DIST_FILES = $(CFILES) mounted.ocfs2.8.in

mounted.ocfs2: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS)  $(LIBO2CB_LIBS) $(COM_ERR_LIBS) $(UUID_LIBS)

include $(TOPDIR)/Postamble.make

=== o2cb_ctl/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

sbindir = $(root_sbindir)
SBIN_PROGRAMS = o2cb_ctl

INCLUDES = -I$(TOPDIR)/include

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2CB_LIBS  = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

ifndef OCFS2_DYNAMIC_CTL
LDFLAGS += -static
endif

DEFINES = -DVERSION=\"$(VERSION)\"

O2CB_CTL_CFILES = o2cb_ctl.c o2cb_config.c \
	jconfig.c jiterator.c

O2CB_CTL_OBJS = $(subst .c,.o,$(O2CB_CTL_CFILES))

HFILES = o2cb_config.h jconfig.h jiterator.h

CFILES = $(CLUSTERBO_CFILES) $(O2CB_CTL_CFILES)

MANS = o2cb_ctl.8

DIST_FILES = $(CFILES) $(HFILES) o2cb_ctl.8.in

DIST_RULES = dist-subdircreate

jconfig_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED
jiterator_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED
o2cb_config_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED
o2cb_ctl_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED

o2cb_ctl: $(O2CB_CTL_OBJS) $(LIBOCFS2_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBO2CB_LIBS) $(GLIB_LIBS) $(LIBOCFS2_LIBS) $(COM_ERR_LIBS)

include $(TOPDIR)/Postamble.make

=== debian/changelog ===
ocfs2-tools (1.6.4-3ubuntu2+lliurex1) precise; urgency=low

  * Added lliurex-features

 -- dmontalva <dmontalva@davidpc>  Mon, 13 Jan 2014 12:39:57 +0100

ocfs2-tools (1.6.4-3ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop build dependency on python-support.
    - Fix calculation of -I paths for Python multiarch compatibility.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2014 14:14:58 +0100

ocfs2-tools (1.6.4-3) unstable; urgency=low

  * Use dh_autotools-dev to update config.{sub,guess} (Closes: #727261).
  * Fix FTBFS due to unknown type umode_t (Closes: #707437).
  * Remove ocfs2-tools-cman and ocfs2-tools-pacemaker as the required
    build dependencies are uninstallable (Closes: #685753).
  * Update Standards-Version to 3.9.4 (no changes).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 15 Nov 2013 07:22:43 +0100

ocfs2-tools (1.6.4-2ubuntu4) saucy; urgency=low

  * Use dh_autotools-dev to update config.{sub,guess} for AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Oct 2013 19:43:10 +0200

ocfs2-tools (1.6.4-2ubuntu3) saucy; urgency=low

  * debian/control: Drop Build-Depends on openais-dev. The library is
    deprecated upstream and is no longer needed since this package
    no longer supports cman/pacemaker controld's.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 25 Sep 2013 13:24:30 -0400

ocfs2-tools (1.6.4-2ubuntu2) saucy; urgency=low

  * Dropping cman/pacemaker controld's

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 24 Jul 2013 13:48:59 -0400

ocfs2-tools (1.6.4-2ubuntu1) raring; urgency=low

  [ Logan Rosen ]
  * Merge from Debian unstable. Remaining changes:
    - Build using dh_python2.
    - debian/patches/ubuntu-umode-ftbfs.patch: Fix FTBFS with undefined
      umode_t type in 3.3 kernels.

  [ Barry Warsaw ]
  * Fix calculation of -I paths for Python multiarch compatibility.
    - debian/patches/python-multiarch-includes.patch: Added
    - debian/rules: Add --with autoreconf and override_dh_autoreconf for
      correct invocation of autoreconf.
    - debian/control: Added B-D on dh-autoreconf.

 -- Logan Rosen <logatronico@gmail.com>  Sat, 08 Dec 2012 18:00:15 -0500

ocfs2-tools (1.6.4-2) unstable; urgency=low

  * Remove popen2-ignore-depreciation-warn.patch: it has the opposite effect,
    turning deprecation warnings into errors (Closes: #682517, LP: #923754).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 15 Aug 2012 09:31:09 +0200

ocfs2-tools (1.6.4-1ubuntu1) quantal; urgency=low

  * Merge from Debian testing (LP: #1003157).  Remaining changes:
    - Build using dh_python2
  * debian/patches/ubuntu-umode-ftbfs.patch: Fix FTBFS with undefined
    umode_t type in 3.3 kernels.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 23 May 2012 14:01:28 -0400

ocfs2-tools (1.6.4-1) unstable; urgency=low

  * New upstream release.  Closes: #669023.
  * Add patch to accommodate pacemaker header changes.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #656649.
    - Polish (Michał Kułach).  Closes: #667945.
  * Convert to debhelper 7.
  * Update Standards-Version to 3.9.3 (no changes).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 18 Apr 2012 09:16:18 +0200

=== debian/control ===
Source: ocfs2-tools
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
Uploaders: Frederik Schüler <fs@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 7.0.50~), po-debconf, autotools-dev, comerr-dev, uuid-dev, libncurses5-dev, libreadline-dev, libglib2.0-dev (>= 2.2.3), libblkid-dev (>= 1.36), libbz2-dev, libdevmapper-dev, libdlm-dev, libdlmcontrol-dev, libxml2-dev, python-dev, python-gtk2, dh-autoreconf, n4d-dev
Homepage: http://oss.oracle.com/projects/ocfs2-tools/
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/ocfs2-tools/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/ocfs2-tools/trunk/

Package: ocfs2-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, psmisc
Section: admin
Suggests: ocfs2console
Description: tools for managing OCFS2 cluster filesystems
 OCFS2 is a general purpose cluster filesystem. Unlike the initial release
 of OCFS, which supported only Oracle database workloads, OCFS2 provides
 full support as a general purpose filesystem.  OCFS2 is a complete rewrite
 of the previous version, designed to work as a seamless addition to the
 Linux kernel.
 .
 This package installs the tools to manage the OCFS2 filesystem, including mkfs,
 tunefs, fsck, debugfs, and the utilities to control the O2CB clustering stack.

Package: ocfs2-tools-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ocfs2-tools (= ${binary:Version})
Section: devel
Description: tools for managing OCFS2 cluster filesystems - development files
 OCFS2 is a general purpose cluster filesystem. Unlike the initial release
 of OCFS, which supported only Oracle database workloads, OCFS2 provides
 full support as a general purpose filesystem.  OCFS2 is a complete rewrite
 of the previous version, designed to work as a seamless addition to the
 Linux kernel.
 .
 This package installs the development headers and static libraries.

Package: ocfs2console
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ocfs2-tools (= ${binary:Version}), python-gtk2
Section: admin
Description: tools for managing OCFS2 cluster filesystems - graphical interface
 OCFS2 is a general purpose cluster filesystem. Unlike the initial release
 of OCFS, which supported only Oracle database workloads, OCFS2 provides
 full support as a general purpose filesystem.  OCFS2 is a complete rewrite
 of the previous version, designed to work as a seamless addition to the
 Linux kernel.
 .
 A GUI frontend for managing OCFS2 volumes on the system. One can mount
 and unmount volumes, format, view overview information and individual
 files, and view and modify the current cluster configuration.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,autoreconf,n4d-vars

override_dh_autoreconf:
	autoreconf -f -i -I/usr/share/aclocal

override_dh_auto_configure:
	dh_auto_configure -- --disable-debug --enable-dynamic-ctl --enable-dynamic-fsck

override_dh_installinit:
	cp -f vendor/common/o2cb.init debian/ocfs2-tools.o2cb.init
	cp -f vendor/common/ocfs2.init debian/ocfs2-tools.ocfs2.init
	dh_installinit -pocfs2-tools --name=o2cb --no-restart-on-upgrade -- start 41 S . stop 6 0 6 . 
	dh_installinit -pocfs2-tools --name=ocfs2 --no-restart-on-upgrade -- start 65 S . stop 2 0 6 .
	dh_installinit -pocfs2-tools --no-start --name=ocfs2-umount -- stop 01 0 1 6 .
	dh_installinit

## ocfs2-tools 1.8.4

=== tunefs.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

LIBTOOLS_INTERNAL_LIBS = -L$(TOPDIR)/libtools-internal -ltools-internal
LIBTOOLS_INTERNAL_DEPS = $(TOPDIR)/libtools-internal/libtools-internal.a

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a
ifneq ($(BUILD_FSDLM_SUPPORT),)
LIBO2CB_LIBS += -ldlm_lt
endif
ifneq ($(BUILD_CMAP_SUPPORT),)
LIBO2CB_LIBS += -lcmap
endif

UNINST_LIBRARIES = libocfs2ne.a

OCFS2NE_FEATURES =			\
	feature_backup_super		\
	feature_discontig_bg		\
	feature_extended_slotmap	\
	feature_inline_data		\
	feature_local			\
	feature_metaecc			\
	feature_refcount		\
	feature_sparse_files		\
	feature_unwritten_extents	\
	feature_xattr			\
	feature_indexed_dirs		\
	feature_quota			\
	feature_clusterinfo

OCFS2NE_OPERATIONS =			\
	op_cloned_volume		\
	op_features			\
	op_list_sparse_files		\
	op_query			\
	op_reset_uuid			\
	op_resize_volume		\
	op_set_label			\
	op_set_journal_size		\
	op_set_journal_block		\
	op_set_slot_count		\
	op_update_cluster_stack		\
	op_set_quota_sync_interval	\

sbindir = $(root_sbindir)
SBIN_PROGRAMS = tunefs.ocfs2 o2cluster

INCLUDES = -I$(TOPDIR)/include -I.
DEFINES = -DVERSION=\"$(VERSION)\"

MANS = tunefs.ocfs2.8 o2cluster.8

ifneq ($(OCFS2_DEBUG_EXE),)
DEBUG_EXE_FILES = $(shell awk '/DEBUG_EXE/{if (k[FILENAME] == 0) {print FILENAME; k[FILENAME] = 1;}}' $(CFILES))
DEBUG_EXE_PROGRAMS = $(addprefix debug_,$(subst .c,,$(DEBUG_EXE_FILES)))

.SECONDARY:

UNINST_PROGRAMS += $(filter-out debug_op_features,$(DEBUG_EXE_PROGRAMS))

debug_%.o : %.c
	$(CC) $(CFLAGS) $(LOCAL_CFLAGS) $(CPPFLAGS) $(LOCAL_CPPFLAGS) \
		$(INCLUDES) $(DEFINES) \
		-DDEBUG_EXE -o $@ -c $<

debug_op_features: debug_op_features.o $(OCFS2NE_FEATURE_OBJS) libocfs2ne.a $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS) $(LIBTOOLS_INTERNAL_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(UUID_LIBS) $(LIBO2DLM_LIBS) \
		$(LIBO2CB_LIBS) $(LIBTOOLS_INTERNAL_LIBS) $(COM_ERR_LIBS) $(AIO_LIBS)

debug_%: debug_%.o libocfs2ne.a $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS) $(LIBTOOLS_INTERNAL_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(UUID_LIBS) $(LIBO2DLM_LIBS) \
		$(LIBO2CB_LIBS) $(LIBTOOLS_INTERNAL_LIBS) $(COM_ERR_LIBS) $(AIO_LIBS)
endif

LIBOCFS2NE_CFILES = libocfs2ne.c
O2CLUSTER_CFILES = o2cluster.c
HFILES_GEN = o2ne_err.h

o2ne_err.c o2ne_err.h: o2ne_err.et
	compile_et o2ne_err.et

OCFS2NE_OPERATION_CFILES = $(patsubst %,%.c,$(OCFS2NE_OPERATIONS))
OCFS2NE_FEATURE_CFILES = $(patsubst %,%.c,$(OCFS2NE_FEATURES))
OCFS2NE_CFILES =			\
	ocfs2ne.c			\
	$(OCFS2NE_OPERATION_CFILES)	\
	$(OCFS2NE_FEATURE_CFILES)

CFILES = $(LIBOCFS2NE_CFILES) $(OCFS2NE_CFILES) $(O2CLUSTER_CFILES)
HFILES = libocfs2ne.h

LIBOCFS2NE_OBJS = $(subst .c,.o,$(LIBOCFS2NE_CFILES)) o2ne_err.o
OCFS2NE_OBJS = $(subst .c,.o,$(OCFS2NE_CFILES))
O2CLUSTER_OBJS = $(subst .c,.o,$(O2CLUSTER_CFILES))

$(LIBOCFS2NE_OBJS): $(HFILES_GEN)
$(OCFS2NE_OBJS): $(HFILES_GEN)

DIST_FILES = $(CFILES) $(HFILES) tunefs.ocfs2.8.in o2cluster.8.in o2ne_err.et

libocfs2ne.a: $(LIBOCFS2NE_OBJS)
	rm -f $@
	$(AR) r $@ $^
	$(RANLIB) $@

ocfs2ne: $(OCFS2NE_OBJS) libocfs2ne.a $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS) $(LIBTOOLS_INTERNAL_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(UUID_LIBS) $(LIBO2DLM_LIBS) \
		$(LIBO2CB_LIBS) $(LIBTOOLS_INTERNAL_LIBS) $(COM_ERR_LIBS) $(AIO_LIBS)

o2cluster: ${O2CLUSTER_OBJS} $(LIBOCFS2_DEPS) $(LIBO2CB_DEPS) $(LIBTOOLS_INTERNAL_DEPS) $(LIBO2DLM_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2CB_LIBS) $(LIBTOOLS_INTERNAL_LIBS) $(LIBO2DLM_LIBS) $(COM_ERR_LIBS) $(AIO_LIBS)

tunefs.ocfs2: ocfs2ne
	ln -f ocfs2ne tunefs.ocfs2

CLEAN_RULES += clean-err
CLEAN_RULES += ocfs2ne-clean

ocfs2ne-clean:
	rm -f ocfs2ne
clean-err:
	rm -f o2ne_err.c o2ne_err.h

include $(TOPDIR)/Postamble.make

=== vendor/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

SUBDIRS = common rhel6 rhel5 sles10 rhel4 sles9 fc7 fc8 fc9

include $(TOPDIR)/Postamble.make

=== vendor/common/Makefile ===
TOPDIR = ../..

include $(TOPDIR)/Preamble.make

SCRIPT_SH = o2cb.init.sh
SCRIPTS = $(patsubst %.sh,%,$(SCRIPT_SH))

# Depend on the substitution values
$(SCRIPTS): $(TOPDIR)/Config.make

$(patsubst %.sh,%,$(SCRIPT_SH)) : % : %.sh
	rm -f $@ $@+
	sed -e 's/@@VERSION@@/$(VERSION)/g' $@.sh >$@+
	chmod +x $@+
	mv $@+ $@

ALL_RULES = $(SCRIPTS)

MANS = o2cb.sysconfig.5

DIST_FILES =					\
	$(SCRIPT_SH)				\
	o2cb.sysconfig				\
	ocfs2.init				\
	ocfs2-tools.spec-generic.in		\
	51-ocfs2.rules				\
	Vendor.make				\
	o2cb.sysconfig.5.in

include $(TOPDIR)/Postamble.make

=== debian/changelog ===
ocfs2-tools (1.8.4-3ubuntu3) zesty; urgency=medium

  * d/t/basic: fix typo in argument in mkfs.ocfs2.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 03 Mar 2017 13:58:04 -0800

ocfs2-tools (1.8.4-3ubuntu2) zesty; urgency=medium

  * d/t/basic: do not assume local filesystem blocksize will support the
    mkfs.ocfs2 blocksize (e.g., 4k disks will not support a 1k
    blocksize).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 03 Mar 2017 11:34:10 -0800

ocfs2-tools (1.8.4-3ubuntu1) zesty; urgency=medium

  * d/t/control: dlm-controld is renamed to dlm in Ubuntu.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 01 Mar 2017 13:25:13 -0800

ocfs2-tools (1.8.4-3) unstable; urgency=medium

  * Fix debugfs segfault (Closes: #715810)
  * Fix mkfs segfault (Closes: #716105)
  * debian/tests: force fsck run
  * debian/tests: disable o2cb cluster after test
  * debian/tests: add pcmk cluster test
  * debian/tests: additional tunefs tests
  * Add lsb-base dependency to fix lintian error
  * debian/tests: add basic test for lxc
  * debian/tests: use temporary directory
  * debian/tests: prevent test from loading modules

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Fri, 21 Oct 2016 18:39:01 +0200

ocfs2-tools (1.8.4-2) unstable; urgency=medium

  * Drop suggests for deprecated ocfs2console package
  * Add watch file
  * Architecture changed to linux-any
  * Simplify install to catch new files, o2cb, o2cluster, o2info, and
    o2hbmonitor were missing in 1.8.4-1.
  * Move init scripts out of rcS (Closes: #796638)
  * Start storage services before ocfs2 (Closes: #723093)
  * debian/tests: o2cb service startup
  * Add global heartbeat support for virtio devices
  * Update Debian documentation

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Tue, 12 Jul 2016 22:26:31 +0200

ocfs2-tools (1.8.4-1) unstable; urgency=medium

  * New upstream release (Closes: #669366)
  * Drop deprecated ocfs2console package
  * Update dh_clean list
  * Update Standards-Version to 3.9.8
  * Update init scripts
  * Use debhelper 9
  * Update debian patches
  * Add libaio-dev dependency
  * Remove update-rc.d start/stop actions
  * Fix udev rule for creating /dev/misc/ocfs2_control
  * Update debian/control: maintainer and upstream info

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Fri, 10 Jun 2016 16:27:57 +0200

ocfs2-tools (1.6.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace python-support Build-Dep with dh-python (already ported to
    dh_python2) (Closes: #785983)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 26 Aug 2015 13:20:27 -0700

=== debian/control ===
Source: ocfs2-tools
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Valentin Vidic <Valentin.Vidic@CARNet.hr>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), po-debconf, autotools-dev, comerr-dev,
 uuid-dev, libncurses5-dev, libreadline-dev, libglib2.0-dev (>= 2.2.3),
 libblkid-dev (>= 1.36), libbz2-dev, libdevmapper-dev, libdlm-dev,
 libdlmcontrol-dev, libxml2-dev, libaio-dev, dh-autoreconf
Homepage: https://ocfs2.wiki.kernel.org/
Vcs-Git: git://anonscm.debian.org/debian-ha/ocfs2-tools.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-ha/ocfs2-tools.git/

Package: ocfs2-tools
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, psmisc, lsb-base (>= 3.0-6)
Section: admin
Description: tools for managing OCFS2 cluster filesystems
 OCFS2 is a general purpose cluster filesystem. Unlike the initial release
 of OCFS, which supported only Oracle database workloads, OCFS2 provides
 full support as a general purpose filesystem.  OCFS2 is a complete rewrite
 of the previous version, designed to work as a seamless addition to the
 Linux kernel.
 .
 This package installs the tools to manage the OCFS2 filesystem, including mkfs,
 tunefs, fsck, debugfs, and the utilities to control the O2CB clustering stack.

Package: ocfs2-tools-dev
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ocfs2-tools (= ${binary:Version})
Section: devel
Description: tools for managing OCFS2 cluster filesystems - development files
 OCFS2 is a general purpose cluster filesystem. Unlike the initial release
 of OCFS, which supported only Oracle database workloads, OCFS2 provides
 full support as a general purpose filesystem.  OCFS2 is a complete rewrite
 of the previous version, designed to work as a seamless addition to the
 Linux kernel.
 .
 This package installs the development headers and static libraries.

=== debian/tests/control ===
Depends: ocfs2-tools
Tests: basic
Restrictions: needs-root

Depends: ocfs2-tools
Tests: o2cb
Restrictions: needs-root, isolation-machine

Depends: ocfs2-tools, corosync, dlm
Tests: pcmk
Restrictions: needs-root, isolation-machine

## ocfs2-tools 1.8.5

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 COMPILE_PY = 1
 endif
 
-SUBDIRS = include libtools-internal libo2dlm libo2cb libocfs2 fsck.ocfs2 mkfs.ocfs2 mounted.ocfs2 tunefs.ocfs2 debugfs.ocfs2 o2cb_ctl ocfs2_hb_ctl mount.ocfs2 ocfs2_controld o2image o2info o2monitor listuuid sizetest extras fswreck patches
+SUBDIRS = include libtools-internal libo2dlm libo2cb libocfs2 fsck.ocfs2 mkfs.ocfs2 mounted.ocfs2 tunefs.ocfs2 debugfs.ocfs2 o2cb_ctl ocfs2_hb_ctl mount.ocfs2 ocfs2_controld o2image o2info o2monitor extras fswreck patches
 
 ifdef BUILD_OCFS2CONSOLE
 SUBDIRS += ocfs2console
@@ -78,9 +78,9 @@
 	svnrev.guess				\
 	Vendor.make				\
 	vendor.guess				\
-	documentation/ocfs2_faq.txt		\
+	Makepdfs				\
+	documentation/samples/cluster.conf	\
 	documentation/users_guide.txt		\
-	documentation/samples/cluster.conf	\
 	$(PKGCONFIG_SOURCES)			\
 	$(DEBIAN_FILES)

=== debugfs.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

sbindir = $(root_sbindir)
SBIN_PROGRAMS = debugfs.ocfs2

DEFINES = -DG_DISABLE_DEPRECATED -DLINUX -DDEBUG
DEFINES += -DVERSION=\"$(VERSION)\"

INCLUDES = -I$(TOPDIR)/include -Iinclude
INCLUDES += $(GLIB_CFLAGS)

CFILES = main.c commands.c dump.c utils.c journal.c find_block_inode.c \
	find_inode_paths.c dump_fs_locks.c dump_dlm_locks.c stat_sysdir.c \
	dump_net_stats.c

HFILES =				\
	include/main.h			\
	include/commands.h		\
	include/dump.h			\
	include/utils.h			\
	include/journal.h		\
	include/find_block_inode.h	\
	include/find_inode_paths.h	\
	include/ocfs2_internals.h	\
	include/dump_fs_locks.h		\
	include/dump_dlm_locks.h	\
	include/stat_sysdir.h		\
	include/dump_net_stats.h

OBJS = $(subst .c,.o,$(CFILES))

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
ifneq ($(BUILD_FSDLM_SUPPORT),)
LIBO2CB_LIBS += -ldlm_lt
endif
ifneq ($(BUILD_CMAP_SUPPORT),)
LIBO2CB_LIBS += -lcmap
endif

MANS = debugfs.ocfs2.8

DIST_FILES = $(CFILES) $(HFILES) README debugfs.ocfs2.8.in

DIST_RULES = dist-subdircreate

dist-subdircreate:
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/include

debugfs.ocfs2: $(OBJS)
	$(LINK) $(GLIB_LIBS) $(LIBOCFS2_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS) $(READLINE_LIBS) $(NCURSES_LIBS) $(AIO_LIBS)

include $(TOPDIR)/Postamble.make

=== fsck.ocfs2/Makefile ===
--- 
+++ 
@@ -14,6 +14,14 @@
 LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a
 LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
 LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a
+ifneq ($(BUILD_FSDLM_SUPPORT),)
+LIBO2CB_LIBS += -ldlm_lt
+endif
+ifneq ($(BUILD_CMAP_SUPPORT),)
+LIBO2CB_LIBS += -lcmap
+endif
+LIBTOOLS_INTERNAL_LIBS = -L$(TOPDIR)/libtools-internal -ltools-internal
+LIBTOOLS_INTERNAL_DEPS = $(TOPDIR)/libtools-internal/libtools-internal.a
 
 ifndef OCFS2_DYNAMIC_FSCK
 LDFLAGS += -static
@@ -69,8 +77,8 @@
 dist-subdircreate:
 	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/include
 
-fsck.ocfs2: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
-	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS)
+fsck.ocfs2: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS) $(LIBTOOLS_INTERNAL_DEPS)
+	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(LIBTOOLS_INTERNAL_LIBS) $(COM_ERR_LIBS) $(AIO_LIBS)
 
 $(OBJS): prompt-codes.h

=== tunefs.ocfs2/Makefile ===
--- 
+++ 
@@ -35,7 +35,8 @@
 	feature_xattr			\
 	feature_indexed_dirs		\
 	feature_quota			\
-	feature_clusterinfo
+	feature_clusterinfo		\
+	feature_append_dio
 
 OCFS2NE_OPERATIONS =			\
 	op_cloned_volume		\

=== ocfs2console/blkid/Makefile ===
TOPDIR = ../..

include $(TOPDIR)/Preamble.make

INCLUDES = -I..

CFLAGS += -fPIC
CPPFLAGS = -DHAVE_UNISTD_H=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 \
	-DHAVE_ERRNO_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_LINUX_FD_H=1 \
	-DHAVE_SYS_QUEUE_H=1 -DHAVE_STDLIB_H=1 -DHAVE_LSEEK64=1 \
	-DHAVE_LSEEK64_PROTOTYPE=1

CFILES =		\
	cache.c		\
	dev.c		\
	devname.c	\
	devno.c		\
	getsize.c	\
	llseek.c	\
	probe.c		\
	read.c		\
	resolve.c	\
	save.c		\
	tag.c		\
	version.c

HFILES = 		\
	blkid.h		\
	blkidP.h	\
	list.h		\
	probe.h

ifndef HAVE_BLKID

UNINST_LIBRARIES = libblkid-internal.a

OBJS = $(subst .c,.o,$(CFILES))

libblkid-internal.a: $(OBJS)
	rm -f $@
	$(AR) r $@ $^
	$(RANLIB) $@

endif

DIST_FILES = $(CFILES) $(HFILES) ChangeLog

include $(TOPDIR)/Postamble.make

=== ocfs2console/ocfs2interface/Makefile ===
TOPDIR = ../..

include $(TOPDIR)/Preamble.make

INCLUDES = -I$(TOPDIR)/include

CFLAGS += -fPIC

PYMOD_CFLAGS = -fno-strict-aliasing $(PYTHON_INCLUDES)

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2 -laio
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

ifneq ($(BUILD_FSDLM_SUPPORT),)
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb -ldlm_lt
else
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
endif
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

ifdef HAVE_BLKID
BLKID_DEPS =
else
BLKID_DEPS = $(TOPDIR)/ocfs2console/blkid/libblkid-internal.a

BLKID_CFLAGS = -I$(TOPDIR)/ocfs2console
BLKID_LIBS = -L$(TOPDIR)/ocfs2console/blkid -lblkid-internal $(UUID_LIBS)
endif

GLIB_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED

PLIST_CBITS = ocfsplist.c
PLIST_CFILES = $(PLIST_CBITS) plistmodule.c
PLIST_HFILES = $(subst .c,.h,$(PLIST_CBITS))

ocfsplist_CPPFLAGS = $(GLIB_CPPFLAGS) $(BLKID_CFLAGS)
plistmodule_CPPFLAGS = $(GLIB_CPPFLAGS)
plistmodule_CFLAGS = $(PYMOD_CFLAGS)

GIDLE_CFILES = gidlemodule.c
gidlemodule_CPPFLAGS = $(GLIB_CPPFLAGS)
gidlemodule_CFLAGS = $(PYMOD_CFLAGS)

O2CB_CFILES = o2cbmodule.c
o2cbmodule_CPPFLAGS = $(O2CB_CPPFLAGS)
o2cbmodule_CFLAGS = $(PYMOD_CFLAGS)

OCFS2_CFILES = ocfs2module.c
ocfs2module_CPPFLAGS = $(OCFS2_CPPFLAGS)
ocfs2module_CFLAGS = $(PYMOD_CFLAGS)

PLIST_OBJS = $(subst .c,.o,$(PLIST_CFILES))
GIDLE_OBJS = $(subst .c,.o,$(GIDLE_CFILES))
OCFS2_OBJS = $(subst .c,.o,$(OCFS2_CFILES))
O2CB_OBJS = $(subst .c,.o,$(O2CB_CFILES))

# These are UNINST_ because the python install rule will handle them.
UNINST_LIBRARIES = plistmodule.so gidlemodule.so ocfs2module.so o2cbmodule.so

PYSRC = \
	__init__.py		\
	about.py		\
	bosa.py			\
	classlabel.py		\
	console.py		\
	format.py		\
	fsck.py			\
	fstab.py		\
	fswidgets.py		\
	general.py		\
	guiutil.py		\
	ipwidget.py		\
	ls.py			\
	mount.py		\
	menu.py			\
	nodeconfig.py		\
	o2cb_ctl.py		\
	partitionview.py	\
	process.py		\
	pushconfig.py		\
	terminal.py		\
	toolbar.py		\
	tune.py

BUILT_PYSRC = confdefs.py

PYLIB = $(UNINST_LIBRARIES) $(PYSRC) $(BUILT_PYSRC)

INSTALL_RULES = install-pylib

DIST_FILES = $(PLIST_CFILES) $(PLIST_HFILES) $(GIDLE_CFILES) $(OCFS2_CFILES) $(O2CB_CFILES) $(PYSRC) $(addsuffix .in,$(BUILT_PYSRC))

plistmodule.so: $(PLIST_OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS) $(BLKID_DEPS)
	$(LINK) -shared $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(BLKID_LIBS) $(COM_ERR_LIBS) $(GLIB_LIBS)

gidlemodule.so: $(GIDLE_OBJS)
	$(LINK) -shared $(GLIB_LIBS)

ocfs2module.so: $(OCFS2_OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) -shared $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS) $(UUID_LIBS)

o2cbmodule.so: $(O2CB_OBJS) $(LIBO2CB_DEPS)
	$(LINK) -shared $(LIBO2CB_LIBS) $(COM_ERR_LIBS)

install-pylib:
	$(SHELL) $(TOPDIR)/mkinstalldirs $(DESTDIR)$(pyexecdir)/ocfs2interface
	for f in $(PYLIB); do \
	  $(INSTALL_DATA) $$f $(DESTDIR)$(pyexecdir)/ocfs2interface/$$f; \
	done

include $(TOPDIR)/Postamble.make

=== debian/changelog ===
ocfs2-tools (1.8.5-7) unstable; urgency=medium

  * debian/patches: fix FTBFS with glibc 2.28 (Closes: #916053)

 -- Valentin Vidic <vvidic@debian.org>  Sun, 09 Dec 2018 19:58:40 +0100

ocfs2-tools (1.8.5-6) unstable; urgency=medium

  * debian/tests: fix broken pipe error (Closes: #905151)
  * debian/control: update my mail address
  * debian/control: update Standards-Version to 4.2.1
  * debian/rules: fail on dh_missing

 -- Valentin Vidic <vvidic@debian.org>  Wed, 19 Sep 2018 11:34:33 +0200

ocfs2-tools (1.8.5-5) unstable; urgency=medium

  * debian/patches: fix parallel build (Closes: #894630)
  * debian/control: update Vcs URLs to use salsa

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Wed, 04 Apr 2018 18:10:26 +0200

ocfs2-tools (1.8.5-4) unstable; urgency=medium

  * Set Multi-Arch: same for ocfs2-tools-dev
  * debian/control: drop ocfs2-tools Depends from ocfs2-tools-dev
  * debian/patches: fix glibc 2.26 FTBFS (Closes: #887631)
  * Move upstream init scripts to /usr/lib/ocfs2-tools
  * debian/patches: fix makedev build warning
  * debian/rules: enable hardened build
  * Update Standards-Version to 4.1.3 with no changes
  * debian/patches: document and cleanup patches
  * debian/rules: cleanup autoreconf and configure rules
  * debian/compat: use debhelper v11
  * debian/patches: fix spelling errors reported by lintian
  * debian/patches: fix error printed by o2cb stop
  * debian/ocfs2-tools.postinst: stop debconf after reading data

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Wed, 24 Jan 2018 15:09:31 +0100

ocfs2-tools (1.8.5-3) unstable; urgency=medium

  * debian/control: drop B-D on dh-autoreconf and autotools-dev
  * Migrate from using rcS to standard runlevels
  * Update Standards-Version to 4.1.0 with no changes
  * Add missing libcmap-dev to Build-Depends

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Wed, 20 Sep 2017 14:50:38 +0200

ocfs2-tools (1.8.5-2) unstable; urgency=medium

  * debian/rules: include upstream systemd services
  * debian/patches: enable parallel builds
  * debian/rules: update debhelper to version 10
  * debian/tests: include Ubuntu patch for 4k blocksize (Closes: #867363)
  * debian/rules: do not restart services on upgrade
  * debian/patches: fixes for gcc warnings

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Mon, 10 Jul 2017 13:24:55 +0200

ocfs2-tools (1.8.5-1) unstable; urgency=medium

  * New upstream release
  * Refresh debian/patches
  * Update Standards-Version to 4.0.0 with no changes
  * Update debian/copyright to DEP-5 format
  * Remove duplicate Section line
  * Use https for Vcs-Git

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Tue, 20 Jun 2017 09:29:03 +0200

ocfs2-tools (1.8.4-4) unstable; urgency=medium

  * Add fix for sysfs filename (Closes: #858623)

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Mon, 27 Mar 2017 11:13:06 +0200

=== debian/control ===
Source: ocfs2-tools
Section: admin
Priority: optional
Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Valentin Vidic <vvidic@debian.org>
Standards-Version: 4.2.1
Build-Depends: debhelper (>= 11), po-debconf, comerr-dev,
 uuid-dev, libncurses5-dev, libreadline-dev, libglib2.0-dev (>= 2.2.3),
 libblkid-dev (>= 1.36), libbz2-dev, libdevmapper-dev, libdlm-dev,
 libdlmcontrol-dev, libxml2-dev, libaio-dev, libcmap-dev
Homepage: https://ocfs2.wiki.kernel.org/
Vcs-Browser: https://salsa.debian.org/ha-team/ocfs2-tools
Vcs-Git: https://salsa.debian.org/ha-team/ocfs2-tools.git

Package: ocfs2-tools
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, psmisc, lsb-base (>= 3.0-6)
Description: tools for managing OCFS2 cluster filesystems
 OCFS2 is a general purpose cluster filesystem. Unlike the initial release
 of OCFS, which supported only Oracle database workloads, OCFS2 provides
 full support as a general purpose filesystem.  OCFS2 is a complete rewrite
 of the previous version, designed to work as a seamless addition to the
 Linux kernel.
 .
 This package installs the tools to manage the OCFS2 filesystem, including mkfs,
 tunefs, fsck, debugfs, and the utilities to control the O2CB clustering stack.

Package: ocfs2-tools-dev
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}
Section: devel
Description: tools for managing OCFS2 cluster filesystems - development files
 OCFS2 is a general purpose cluster filesystem. Unlike the initial release
 of OCFS, which supported only Oracle database workloads, OCFS2 provides
 full support as a general purpose filesystem.  OCFS2 is a complete rewrite
 of the previous version, designed to work as a seamless addition to the
 Linux kernel.
 .
 This package installs the development headers and static libraries.

=== debian/watch ===
version=3
https://github.com/markfasheh/ocfs2-tools/releases .*/ocfs2-tools-?(\d\S*)\.tar\.gz
